From 9081beb1a01f4150937bd97efdec631cf1ad03bf Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 02 2020 03:52:09 +0000
Subject: [PATCH 80/2232] Remove redundant prefix from mangled Box related symbols


---

diff --git a/gen/write.rs b/gen/write.rs
index 99ea418..381800b 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -462,27 +462,27 @@ fn write_rust_box_extern(out: &mut OutFile, ident: &Ident) {
     writeln!(out, "#define CXXBRIDGE01_RUST_BOX_{}", instance);
     writeln!(
         out,
-        "void cxxbridge01$rust_box${}$uninit(::rust::Box<{}> *ptr) noexcept;",
+        "void cxxbridge01$box${}$uninit(::rust::Box<{}> *ptr) noexcept;",
         instance, inner,
     );
     writeln!(
         out,
-        "void cxxbridge01$rust_box${}$set_raw(::rust::Box<{}> *ptr, {} *raw) noexcept;",
+        "void cxxbridge01$box${}$set_raw(::rust::Box<{}> *ptr, {} *raw) noexcept;",
         instance, inner, inner
     );
     writeln!(
         out,
-        "void cxxbridge01$rust_box${}$drop(::rust::Box<{}> *ptr) noexcept;",
+        "void cxxbridge01$box${}$drop(::rust::Box<{}> *ptr) noexcept;",
         instance, inner,
     );
     writeln!(
         out,
-        "const {} *cxxbridge01$rust_box${}$deref(const ::rust::Box<{}> *ptr) noexcept;",
+        "const {} *cxxbridge01$box${}$deref(const ::rust::Box<{}> *ptr) noexcept;",
         inner, instance, inner,
     );
     writeln!(
         out,
-        "{} *cxxbridge01$rust_box${}$deref_mut(::rust::Box<{}> *ptr) noexcept;",
+        "{} *cxxbridge01$box${}$deref_mut(::rust::Box<{}> *ptr) noexcept;",
         inner, instance, inner,
     );
     writeln!(out, "#endif // CXXBRIDGE01_RUST_BOX_{}", instance);
@@ -499,11 +499,7 @@ fn write_rust_box_impl(out: &mut OutFile, ident: &Ident) {
 
     writeln!(out, "template <>");
     writeln!(out, "void Box<{}>::uninit() noexcept {{", inner);
-    writeln!(
-        out,
-        "  return cxxbridge01$rust_box${}$uninit(this);",
-        instance
-    );
+    writeln!(out, "  return cxxbridge01$box${}$uninit(this);", instance);
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
@@ -514,18 +510,14 @@ fn write_rust_box_impl(out: &mut OutFile, ident: &Ident) {
     );
     writeln!(
         out,
-        "  return cxxbridge01$rust_box${}$set_raw(this, raw);",
+        "  return cxxbridge01$box${}$set_raw(this, raw);",
         instance
     );
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "void Box<{}>::drop() noexcept {{", inner);
-    writeln!(
-        out,
-        "  return cxxbridge01$rust_box${}$drop(this);",
-        instance
-    );
+    writeln!(out, "  return cxxbridge01$box${}$drop(this);", instance);
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
@@ -534,18 +526,14 @@ fn write_rust_box_impl(out: &mut OutFile, ident: &Ident) {
         "const {} *Box<{}>::deref() const noexcept {{",
         inner, inner,
     );
-    writeln!(
-        out,
-        "  return cxxbridge01$rust_box${}$deref(this);",
-        instance
-    );
+    writeln!(out, "  return cxxbridge01$box${}$deref(this);", instance);
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "{} *Box<{}>::deref_mut() noexcept {{", inner, inner);
     writeln!(
         out,
-        "  return cxxbridge01$rust_box${}$deref_mut(this);",
+        "  return cxxbridge01$box${}$deref_mut(this);",
         instance
     );
     writeln!(out, "}}");
diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index bcd02f1..1896a13 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -293,7 +293,7 @@ fn expand_rust_function_shim(namespace: &Namespace, efn: &ExternFn, types: &Type
 }
 
 fn expand_rust_box(namespace: &Namespace, ident: &Ident) -> TokenStream {
-    let link_prefix = format!("cxxbridge01$rust_box${}{}$", namespace, ident);
+    let link_prefix = format!("cxxbridge01$box${}{}$", namespace, ident);
     let link_uninit = format!("{}uninit", link_prefix);
     let link_set_raw = format!("{}set_raw", link_prefix);
     let link_drop = format!("{}drop", link_prefix);

